function [prediction, fval]=predict(cisldm, testx, op)

if(op==0)
    x=cisldm.x;
    ker=cisldm.ker;
    alpha=cisldm.alpha;

    testK=kernel(x,testx,ker);
    fval=testK*alpha;
    prediction = zeros(size(fval));
    prediction(fval>=0)=1;
    prediction(fval<0)=-1;
else
    w=cisldm.w;
    fval=testx*w;
    prediction = zeros(size(fval));
    prediction(fval>=0)=1;
    prediction(fval<0)=-1;
end

